Name:           perl-Net-Async-HTTP
Version:        0.49
Release:        2%{?dist}
Summary:        Use HTTP with IO::Async
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Net-Async-HTTP/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Net-Async-HTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators coreutils
BuildRequires:  perl(Compress::Raw::Zlib) >= 2.057
BuildRequires:  perl(Future) >= 0.28
BuildRequires:  perl(Future::Utils) >= 0.16
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(IO::Async::Loop) >= 0.59
BuildRequires:  perl(IO::Async::SSL)
BuildRequires:  perl(IO::Async::Stream) >= 0.59
BuildRequires:  perl(IO::Async::Test)
BuildRequires:  perl(IO::Async::Timer::Countdown)
BuildRequires:  perl(List::Util) >= 1.29
BuildRequires:  perl(Metrics::Any) >= 0.05
BuildRequires:  perl(Module::Build)
# this is needed for full tests, but creates a circular build dependency;
# enable only after both packages are in the repos
#BuildRequires:  perl(Net::Async::HTTP::Server)
BuildRequires:  perl(Net::Async::SOCKS)
BuildRequires:  perl(Socket) >= 2.010
BuildRequires:  perl(Struct::Dumb) >= 0.07
BuildRequires:  perl(Test2::V0) >= 0.000147
BuildRequires:  perl(Test::Metrics::Any)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(URI)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

%description
This object class implements an asynchronous HTTP user agent. It sends
requests to servers, returning Future instances to yield responses when
they are received. The object supports multiple concurrent connections to
servers, and allows multiple requests in the pipeline to any one
connection. Normally, only one such object will be needed per program to
support any number of requests.

%prep
%setup -q -n Net-Async-HTTP-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes examples README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jan 20 2024 Chris Adams <linux@cmadams.net> 0.04-2
- spec file cleanups

* Mon Nov 20 2023 Chris Adams <linux@cmadams.net> 0.49-1
- initial package
